<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'karneaud',

    /*
     * Package.
     */
    'package'   => 'lavalite-karneaud-cargo',

    /*
     * Modules.
     */
    'modules'   => ['tbl_courier', 
'tbl_courier_officer', 
'tbl_courier_track', 
'tbl_office'],

    'tbl_courier'       => [
        'model' => [
            'model'                 => \Karneaud\LavaliteKarneaudCargo\Models\TblCourier::class,
            'table'                 => 'tbl_couriers',
            'presenter'             => \Karneaud\LavaliteKarneaudCargo\Repositories\Presenter\TblCourierPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['cid',  'cons_no',  'ship_name',  'phone',  's_add',  'rev_name',  'r_phone',  'r_add',  'type',  'weight',  'invice_no',  'qty',  'book_mode',  'freight',  'mode',  'pick_date',  'pick_time',  'status',  'comments',  'book_date',  'PRIMARY'],
            'translatables'         => [],
            'upload_folder'         => 'lavalite-karneaud-cargo/tbl_courier',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Karneaud',
            'package'   => 'LavaliteKarneaudCargo',
            'module'    => 'TblCourier',
        ],

        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "TblCourier created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "TblCourier completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "TblCourier verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "TblCourier approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "TblCourier published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "TblCourier unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "TblCourier archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "TblCourier deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],

    ],

    'tbl_courier_officer'       => [
        'model' => [
            'model'                 => \Karneaud\LavaliteKarneaudCargo\Models\TblCourierOfficer::class,
            'table'                 => 'tbl_courier_officers',
            'presenter'             => \Karneaud\LavaliteKarneaudCargo\Repositories\Presenter\TblCourierOfficerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['cid',  'officer_name',  'off_pwd',  'address',  'email',  'ph_no',  'office',  'reg_date',  'PRIMARY'],
            'translatables'         => [],
            'upload_folder'         => 'lavalite-karneaud-cargo/tbl_courier_officer',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Karneaud',
            'package'   => 'LavaliteKarneaudCargo',
            'module'    => 'TblCourierOfficer',
        ],

        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "TblCourierOfficer created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "TblCourierOfficer completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "TblCourierOfficer verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "TblCourierOfficer approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "TblCourierOfficer published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "TblCourierOfficer unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "TblCourierOfficer archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "TblCourierOfficer deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],

    ],

    'tbl_courier_track'       => [
        'model' => [
            'model'                 => \Karneaud\LavaliteKarneaudCargo\Models\TblCourierTrack::class,
            'table'                 => 'tbl_courier_tracks',
            'presenter'             => \Karneaud\LavaliteKarneaudCargo\Repositories\Presenter\TblCourierTrackPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'cid',  'cons_no',  'current_city',  'status',  'comments',  'bk_time',  'PRIMARY'],
            'translatables'         => [],
            'upload_folder'         => 'lavalite-karneaud-cargo/tbl_courier_track',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Karneaud',
            'package'   => 'LavaliteKarneaudCargo',
            'module'    => 'TblCourierTrack',
        ],

        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "TblCourierTrack created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "TblCourierTrack completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "TblCourierTrack verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "TblCourierTrack approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "TblCourierTrack published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "TblCourierTrack unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "TblCourierTrack archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "TblCourierTrack deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],

    ],

    'tbl_office'       => [
        'model' => [
            'model'                 => \Karneaud\LavaliteKarneaudCargo\Models\TblOffice::class,
            'table'                 => 'tbl_offices',
            'presenter'             => \Karneaud\LavaliteKarneaudCargo\Repositories\Presenter\TblOfficePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'off_name',  'address',  'city',  'ph_no',  'office_time',  'contact_person',  'PRIMARY'],
            'translatables'         => [],
            'upload_folder'         => 'lavalite-karneaud-cargo/tbl_office',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Karneaud',
            'package'   => 'LavaliteKarneaudCargo',
            'module'    => 'TblOffice',
        ],

        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "TblOffice created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "TblOffice completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "TblOffice verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "TblOffice approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "TblOffice published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "TblOffice unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "TblOffice archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "TblOffice deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],

    ],
];
