<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTblCourierOfficersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: tbl_courier_officers
         */
        Schema::create('tbl_courier_officers', function ($table) {
            $table->increments('id');
            $table->integer('cid')->nullable();
            $table->string('officer_name', 40)->nullable();
            $table->string('off_pwd', 40)->nullable();
            $table->string('address', 250)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('ph_no', 12)->nullable();
            $table->string('office', 100)->nullable();
            $table->dateTime('reg_date')->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('tbl_courier_officers');
    }
}
