<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTblCourierTracksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: tbl_courier_tracks
         */
        Schema::create('tbl_courier_tracks', function ($table) {
            $table->increments('id');
            $table->integer('cid')->nullable();
            $table->string('cons_no', 20)->nullable();
            $table->string('current_city', 100)->nullable();
            $table->string('status', 30)->nullable();
            $table->string('comments', 255)->nullable();
            $table->dateTime('bk_time')->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('tbl_courier_tracks');
    }
}
