<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTblOfficesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: tbl_offices
         */
        Schema::create('tbl_offices', function ($table) {
            $table->increments('id');
            $table->string('off_name', 100)->nullable();
            $table->string('address', 230)->nullable();
            $table->string('city', 100)->nullable();
            $table->string('ph_no', 20)->nullable();
            $table->string('office_time', 100)->nullable();
            $table->string('contact_person', 100)->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('tbl_offices');
    }
}
