<?php

namespace Karneaud\LavaliteKarneaudCargo;

use DB;
use Illuminate\Database\Seeder;

class TblCourierOfficerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('tbl_courier_officers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_officer.view',
                'name'      => 'View TblCourierOfficer',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_officer.create',
                'name'      => 'Create TblCourierOfficer',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_officer.edit',
                'name'      => 'Update TblCourierOfficer',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_officer.delete',
                'name'      => 'Delete TblCourierOfficer',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_officer.verify',
                'name'      => 'Verify TblCourierOfficer',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_officer.approve',
                'name'      => 'Approve TblCourierOfficer',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_officer.publish',
                'name'      => 'Publish TblCourierOfficer',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_officer.unpublish',
                'name'      => 'Unpublish TblCourierOfficer',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_officer.cancel',
                'name'      => 'Cancel TblCourierOfficer',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_officer.archive',
                'name'      => 'Archive TblCourierOfficer',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lavalite-karneaud-cargo/tbl_courier_officer',
                'name'        => 'TblCourierOfficer',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lavalite-karneaud-cargo/tbl_courier_officer',
                'name'        => 'TblCourierOfficer',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'tbl_courier_officer',
                'name'        => 'TblCourierOfficer',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'LavaliteKarneaudCargo',
                'module'    => 'TblCourierOfficer',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lavalite-karneaud-cargo.tbl_courier_officer.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
