<?php

namespace Karneaud\LavaliteKarneaudCargo;

use DB;
use Illuminate\Database\Seeder;

class TblCourierTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('tbl_couriers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier.view',
                'name'      => 'View TblCourier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier.create',
                'name'      => 'Create TblCourier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier.edit',
                'name'      => 'Update TblCourier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier.delete',
                'name'      => 'Delete TblCourier',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier.verify',
                'name'      => 'Verify TblCourier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier.approve',
                'name'      => 'Approve TblCourier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier.publish',
                'name'      => 'Publish TblCourier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier.unpublish',
                'name'      => 'Unpublish TblCourier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier.cancel',
                'name'      => 'Cancel TblCourier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier.archive',
                'name'      => 'Archive TblCourier',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lavalite-karneaud-cargo/tbl_courier',
                'name'        => 'TblCourier',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lavalite-karneaud-cargo/tbl_courier',
                'name'        => 'TblCourier',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'tbl_courier',
                'name'        => 'TblCourier',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'LavaliteKarneaudCargo',
                'module'    => 'TblCourier',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lavalite-karneaud-cargo.tbl_courier.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
