<?php

namespace Karneaud\LavaliteKarneaudCargo;

use DB;
use Illuminate\Database\Seeder;

class TblCourierTrackTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('tbl_courier_tracks')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_track.view',
                'name'      => 'View TblCourierTrack',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_track.create',
                'name'      => 'Create TblCourierTrack',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_track.edit',
                'name'      => 'Update TblCourierTrack',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_track.delete',
                'name'      => 'Delete TblCourierTrack',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_track.verify',
                'name'      => 'Verify TblCourierTrack',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_track.approve',
                'name'      => 'Approve TblCourierTrack',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_track.publish',
                'name'      => 'Publish TblCourierTrack',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_track.unpublish',
                'name'      => 'Unpublish TblCourierTrack',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_track.cancel',
                'name'      => 'Cancel TblCourierTrack',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_courier_track.archive',
                'name'      => 'Archive TblCourierTrack',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lavalite-karneaud-cargo/tbl_courier_track',
                'name'        => 'TblCourierTrack',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lavalite-karneaud-cargo/tbl_courier_track',
                'name'        => 'TblCourierTrack',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'tbl_courier_track',
                'name'        => 'TblCourierTrack',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'LavaliteKarneaudCargo',
                'module'    => 'TblCourierTrack',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lavalite-karneaud-cargo.tbl_courier_track.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
