<?php

namespace Karneaud\LavaliteKarneaudCargo;

use DB;
use Illuminate\Database\Seeder;

class TblOfficeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('tbl_offices')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_office.view',
                'name'      => 'View TblOffice',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_office.create',
                'name'      => 'Create TblOffice',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_office.edit',
                'name'      => 'Update TblOffice',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_office.delete',
                'name'      => 'Delete TblOffice',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_office.verify',
                'name'      => 'Verify TblOffice',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_office.approve',
                'name'      => 'Approve TblOffice',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_office.publish',
                'name'      => 'Publish TblOffice',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_office.unpublish',
                'name'      => 'Unpublish TblOffice',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_office.cancel',
                'name'      => 'Cancel TblOffice',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.tbl_office.archive',
                'name'      => 'Archive TblOffice',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lavalite-karneaud-cargo/tbl_office',
                'name'        => 'TblOffice',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lavalite-karneaud-cargo/tbl_office',
                'name'        => 'TblOffice',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'tbl_office',
                'name'        => 'TblOffice',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'LavaliteKarneaudCargo',
                'module'    => 'TblOffice',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lavalite-karneaud-cargo.tbl_office.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
