<?php

namespace Karneaud\LavaliteKarneaudCargo\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Karneaud\LavaliteKarneaudCargo\Interfaces\TblCourierTrackRepositoryInterface;

class TblCourierTrackPublicController extends BaseController
{
    // use TblCourierTrackWorkflow;

    /**
     * Constructor.
     *
     * @param type \Karneaud\TblCourierTrack\Interfaces\TblCourierTrackRepositoryInterface $tbl_courier_track
     *
     * @return type
     */
    public function __construct(TblCourierTrackRepositoryInterface $tbl_courier_track)
    {
        $this->repository = $tbl_courier_track;
        parent::__construct();
    }

    /**
     * Show tbl_courier_track's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $tbl_courier_tracks = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$lavalite-karneaud-cargo::tbl_courier_track.names'))
            ->view('lavalite-karneaud-cargo::tbl_courier_track.index')
            ->data(compact('tbl_courier_tracks'))
            ->output();
    }


    /**
     * Show tbl_courier_track.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $tbl_courier_track = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$tbl_courier_track->name . trans('lavalite-karneaud-cargo::tbl_courier_track.name'))
            ->view('lavalite-karneaud-cargo::tbl_courier_track.show')
            ->data(compact('tbl_courier_track'))
            ->output();
    }

}
