<?php

namespace Karneaud\LavaliteKarneaudCargo;

use User;

class LavaliteKarneaudCargo
{
    /**
     * $tbl_courier object.
     */
    protected $tbl_courier;
    /**
     * $tbl_courier_officer object.
     */
    protected $tbl_courier_officer;
    /**
     * $tbl_courier_track object.
     */
    protected $tbl_courier_track;
    /**
     * $tbl_office object.
     */
    protected $tbl_office;

    /**
     * Constructor.
     */
    public function __construct(\Karneaud\LavaliteKarneaudCargo\Interfaces\TblCourierRepositoryInterface $tbl_courier,
        \Karneaud\LavaliteKarneaudCargo\Interfaces\TblCourierOfficerRepositoryInterface $tbl_courier_officer,
        \Karneaud\LavaliteKarneaudCargo\Interfaces\TblCourierTrackRepositoryInterface $tbl_courier_track,
        \Karneaud\LavaliteKarneaudCargo\Interfaces\TblOfficeRepositoryInterface $tbl_office)
    {
        $this->tbl_courier = $tbl_courier;
        $this->tbl_courier_officer = $tbl_courier_officer;
        $this->tbl_courier_track = $tbl_courier_track;
        $this->tbl_office = $tbl_office;
    }

    /**
     * Returns count of lavalite-karneaud-cargo.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.tbl_courier.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->tbl_courier->pushCriteria(new \Litepie\Karneaud\Repositories\Criteria\TblCourierUserCriteria());
        }

        $tbl_courier = $this->tbl_courier->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('lavalite-karneaud-cargo::' . $view, compact('tbl_courier'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.tbl_courier_officer.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->tbl_courier_officer->pushCriteria(new \Litepie\Karneaud\Repositories\Criteria\TblCourierOfficerUserCriteria());
        }

        $tbl_courier_officer = $this->tbl_courier_officer->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('lavalite-karneaud-cargo::' . $view, compact('tbl_courier_officer'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.tbl_courier_track.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->tbl_courier_track->pushCriteria(new \Litepie\Karneaud\Repositories\Criteria\TblCourierTrackUserCriteria());
        }

        $tbl_courier_track = $this->tbl_courier_track->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('lavalite-karneaud-cargo::' . $view, compact('tbl_courier_track'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.tbl_office.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->tbl_office->pushCriteria(new \Litepie\Karneaud\Repositories\Criteria\TblOfficeUserCriteria());
        }

        $tbl_office = $this->tbl_office->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('lavalite-karneaud-cargo::' . $view, compact('tbl_office'))->render();
    }
}
