<?php

namespace Karneaud\LavaliteKarneaudCargo\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind TblCourier policy
        'Karneaud\LavaliteKarneaudCargo\Models\TblCourier' => \Karneaud\LavaliteKarneaudCargo\Policies\TblCourierPolicy::class,
// Bind TblCourierOfficer policy
        'Karneaud\LavaliteKarneaudCargo\Models\TblCourierOfficer' => \Karneaud\LavaliteKarneaudCargo\Policies\TblCourierOfficerPolicy::class,
// Bind TblCourierTrack policy
        'Karneaud\LavaliteKarneaudCargo\Models\TblCourierTrack' => \Karneaud\LavaliteKarneaudCargo\Policies\TblCourierTrackPolicy::class,
// Bind TblOffice policy
        'Karneaud\LavaliteKarneaudCargo\Models\TblOffice' => \Karneaud\LavaliteKarneaudCargo\Policies\TblOfficePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
