<?php

namespace Karneaud\LavaliteKarneaudCargo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TblCourierOfficerTransformer extends TransformerAbstract
{
    public function transform(\Karneaud\LavaliteKarneaudCargo\Models\TblCourierOfficer $tbl_courier_officer)
    {
        return [
            'id'                => $tbl_courier_officer->getRouteKey(),
            'key'               => [
                'public'    => $tbl_courier_officer->getPublicKey(),
                'route'     => $tbl_courier_officer->getRouteKey(),
            ], 
            'cid'               => $tbl_courier_officer->cid,
            'officer_name'      => $tbl_courier_officer->officer_name,
            'off_pwd'           => $tbl_courier_officer->off_pwd,
            'address'           => $tbl_courier_officer->address,
            'email'             => $tbl_courier_officer->email,
            'ph_no'             => $tbl_courier_officer->ph_no,
            'office'            => $tbl_courier_officer->office,
            'reg_date'          => $tbl_courier_officer->reg_date,
            'PRIMARY'           => $tbl_courier_officer->PRIMARY,
            'url'               => [
                'public'    => trans_url('lavalite-karneaud-cargo/'.$tbl_courier_officer->getPublicKey()),
                'user'      => guard_url('lavalite-karneaud-cargo/tbl_courier_officer/'.$tbl_courier_officer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tbl_courier_officer->status),
            'created_at'        => format_date($tbl_courier_officer->created_at),
            'updated_at'        => format_date($tbl_courier_officer->updated_at),
        ];
    }
}