<?php

namespace Karneaud\LavaliteKarneaudCargo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TblCourierTrackTransformer extends TransformerAbstract
{
    public function transform(\Karneaud\LavaliteKarneaudCargo\Models\TblCourierTrack $tbl_courier_track)
    {
        return [
            'id'                => $tbl_courier_track->getRouteKey(),
            'key'               => [
                'public'    => $tbl_courier_track->getPublicKey(),
                'route'     => $tbl_courier_track->getRouteKey(),
            ], 
            'id'                => $tbl_courier_track->id,
            'cid'               => $tbl_courier_track->cid,
            'cons_no'           => $tbl_courier_track->cons_no,
            'current_city'      => $tbl_courier_track->current_city,
            'status'            => $tbl_courier_track->status,
            'comments'          => $tbl_courier_track->comments,
            'bk_time'           => $tbl_courier_track->bk_time,
            'PRIMARY'           => $tbl_courier_track->PRIMARY,
            'url'               => [
                'public'    => trans_url('lavalite-karneaud-cargo/'.$tbl_courier_track->getPublicKey()),
                'user'      => guard_url('lavalite-karneaud-cargo/tbl_courier_track/'.$tbl_courier_track->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tbl_courier_track->status),
            'created_at'        => format_date($tbl_courier_track->created_at),
            'updated_at'        => format_date($tbl_courier_track->updated_at),
        ];
    }
}