<?php

namespace Karneaud\LavaliteKarneaudCargo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TblCourierTransformer extends TransformerAbstract
{
    public function transform(\Karneaud\LavaliteKarneaudCargo\Models\TblCourier $tbl_courier)
    {
        return [
            'id'                => $tbl_courier->getRouteKey(),
            'key'               => [
                'public'    => $tbl_courier->getPublicKey(),
                'route'     => $tbl_courier->getRouteKey(),
            ], 
            'cid'               => $tbl_courier->cid,
            'cons_no'           => $tbl_courier->cons_no,
            'ship_name'         => $tbl_courier->ship_name,
            'phone'             => $tbl_courier->phone,
            's_add'             => $tbl_courier->s_add,
            'rev_name'          => $tbl_courier->rev_name,
            'r_phone'           => $tbl_courier->r_phone,
            'r_add'             => $tbl_courier->r_add,
            'type'              => $tbl_courier->type,
            'weight'            => $tbl_courier->weight,
            'invice_no'         => $tbl_courier->invice_no,
            'qty'               => $tbl_courier->qty,
            'book_mode'         => $tbl_courier->book_mode,
            'freight'           => $tbl_courier->freight,
            'mode'              => $tbl_courier->mode,
            'pick_date'         => $tbl_courier->pick_date,
            'pick_time'         => $tbl_courier->pick_time,
            'status'            => $tbl_courier->status,
            'comments'          => $tbl_courier->comments,
            'book_date'         => $tbl_courier->book_date,
            'PRIMARY'           => $tbl_courier->PRIMARY,
            'url'               => [
                'public'    => trans_url('lavalite-karneaud-cargo/'.$tbl_courier->getPublicKey()),
                'user'      => guard_url('lavalite-karneaud-cargo/tbl_courier/'.$tbl_courier->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tbl_courier->status),
            'created_at'        => format_date($tbl_courier->created_at),
            'updated_at'        => format_date($tbl_courier->updated_at),
        ];
    }
}