<?php

namespace Karneaud\LavaliteKarneaudCargo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TblOfficeTransformer extends TransformerAbstract
{
    public function transform(\Karneaud\LavaliteKarneaudCargo\Models\TblOffice $tbl_office)
    {
        return [
            'id'                => $tbl_office->getRouteKey(),
            'key'               => [
                'public'    => $tbl_office->getPublicKey(),
                'route'     => $tbl_office->getRouteKey(),
            ], 
            'id'                => $tbl_office->id,
            'off_name'          => $tbl_office->off_name,
            'address'           => $tbl_office->address,
            'city'              => $tbl_office->city,
            'ph_no'             => $tbl_office->ph_no,
            'office_time'       => $tbl_office->office_time,
            'contact_person'    => $tbl_office->contact_person,
            'PRIMARY'           => $tbl_office->PRIMARY,
            'url'               => [
                'public'    => trans_url('lavalite-karneaud-cargo/'.$tbl_office->getPublicKey()),
                'user'      => guard_url('lavalite-karneaud-cargo/tbl_office/'.$tbl_office->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tbl_office->status),
            'created_at'        => format_date($tbl_office->created_at),
            'updated_at'        => format_date($tbl_office->updated_at),
        ];
    }
}