<?php

namespace Karneaud\LavaliteKarneaudCargo\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Karneaud\LavaliteKarneaudCargo\Models\TblCourier;

class TblCourierAction
{
    /**
     * Perform the complete action.
     *
     * @param TblCourier $tbl_courier
     *
     * @return TblCourier
     */
    public function complete(TblCourier $tbl_courier)
    {
        try {
            $tbl_courier->status = 'complete';
            return $tbl_courier->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param TblCourier $tbl_courier
     *
     * @return TblCourier
     */public function verify(TblCourier $tbl_courier)
    {
        try {
            $tbl_courier->status = 'verify';
            return $tbl_courier->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param TblCourier $tbl_courier
     *
     * @return TblCourier
     */public function approve(TblCourier $tbl_courier)
    {
        try {
            $tbl_courier->status = 'approve';
            return $tbl_courier->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param TblCourier $tbl_courier
     *
     * @return TblCourier
     */public function publish(TblCourier $tbl_courier)
    {
        try {
            $tbl_courier->status = 'publish';
            return $tbl_courier->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param TblCourier $tbl_courier
     *
     * @return TblCourier
     */
    public function archive(TblCourier $tbl_courier)
    {
        try {
            $tbl_courier->status = 'archive';
            return $tbl_courier->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param TblCourier $tbl_courier
     *
     * @return TblCourier
     */
    public function unpublish(TblCourier $tbl_courier)
    {
        try {
            $tbl_courier->status = 'unpublish';
            return $tbl_courier->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
