<?php

namespace Karneaud\LavaliteKarneaudCargo\Workflow;

use Karneaud\LavaliteKarneaudCargo\Models\TblCourier;
use Karneaud\LavaliteKarneaudCargo\Notifications\TblCourierWorkflow as TblCourierNotifyer;
use Notification;

class TblCourierNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param TblCourier $tbl_courier
     *
     * @return void
     */
    public function complete(TblCourier $tbl_courier)
    {
        return Notification::send($tbl_courier->user, new TblCourierNotifyer($tbl_courier, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param TblCourier $tbl_courier
     *
     * @return void
     */
    public function verify(TblCourier $tbl_courier)
    {
        return Notification::send($tbl_courier->user, new TblCourierNotifyer($tbl_courier, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param TblCourier $tbl_courier
     *
     * @return void
     */
    public function approve(TblCourier $tbl_courier)
    {
        return Notification::send($tbl_courier->user, new TblCourierNotifyer($tbl_courier, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param TblCourier $tbl_courier
     *
     * @return void
     */
    public function publish(TblCourier $tbl_courier)
    {
        return Notification::send($tbl_courier->user, new TblCourierNotifyer($tbl_courier, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param TblCourier $tbl_courier
     *
     * @return void
     */
    public function archive(TblCourier $tbl_courier)
    {
        return Notification::send($tbl_courier->user, new TblCourierNotifyer($tbl_courier, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param TblCourier $tbl_courier
     *
     * @return void
     */
    public function unpublish(TblCourier $tbl_courier)
    {
        return Notification::send($tbl_courier->user, new TblCourierNotifyer($tbl_courier, 'unpublish'));;

    }
}
