<?php

namespace Karneaud\LavaliteKarneaudCargo\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Karneaud\LavaliteKarneaudCargo\Models\TblCourierTrack;

class TblCourierTrackAction
{
    /**
     * Perform the complete action.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return TblCourierTrack
     */
    public function complete(TblCourierTrack $tbl_courier_track)
    {
        try {
            $tbl_courier_track->status = 'complete';
            return $tbl_courier_track->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return TblCourierTrack
     */public function verify(TblCourierTrack $tbl_courier_track)
    {
        try {
            $tbl_courier_track->status = 'verify';
            return $tbl_courier_track->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return TblCourierTrack
     */public function approve(TblCourierTrack $tbl_courier_track)
    {
        try {
            $tbl_courier_track->status = 'approve';
            return $tbl_courier_track->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return TblCourierTrack
     */public function publish(TblCourierTrack $tbl_courier_track)
    {
        try {
            $tbl_courier_track->status = 'publish';
            return $tbl_courier_track->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return TblCourierTrack
     */
    public function archive(TblCourierTrack $tbl_courier_track)
    {
        try {
            $tbl_courier_track->status = 'archive';
            return $tbl_courier_track->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return TblCourierTrack
     */
    public function unpublish(TblCourierTrack $tbl_courier_track)
    {
        try {
            $tbl_courier_track->status = 'unpublish';
            return $tbl_courier_track->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
