<?php

namespace Karneaud\LavaliteKarneaudCargo\Workflow;

use Karneaud\LavaliteKarneaudCargo\Models\TblCourierTrack;
use Karneaud\LavaliteKarneaudCargo\Notifications\TblCourierTrackWorkflow as TblCourierTrackNotifyer;
use Notification;

class TblCourierTrackNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return void
     */
    public function complete(TblCourierTrack $tbl_courier_track)
    {
        return Notification::send($tbl_courier_track->user, new TblCourierTrackNotifyer($tbl_courier_track, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return void
     */
    public function verify(TblCourierTrack $tbl_courier_track)
    {
        return Notification::send($tbl_courier_track->user, new TblCourierTrackNotifyer($tbl_courier_track, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return void
     */
    public function approve(TblCourierTrack $tbl_courier_track)
    {
        return Notification::send($tbl_courier_track->user, new TblCourierTrackNotifyer($tbl_courier_track, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return void
     */
    public function publish(TblCourierTrack $tbl_courier_track)
    {
        return Notification::send($tbl_courier_track->user, new TblCourierTrackNotifyer($tbl_courier_track, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return void
     */
    public function archive(TblCourierTrack $tbl_courier_track)
    {
        return Notification::send($tbl_courier_track->user, new TblCourierTrackNotifyer($tbl_courier_track, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param TblCourierTrack $tbl_courier_track
     *
     * @return void
     */
    public function unpublish(TblCourierTrack $tbl_courier_track)
    {
        return Notification::send($tbl_courier_track->user, new TblCourierTrackNotifyer($tbl_courier_track, 'unpublish'));;

    }
}
