<?php

namespace Karneaud\LavaliteKarneaudCargo\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Karneaud\LavaliteKarneaudCargo\Models\TblOffice;

class TblOfficeAction
{
    /**
     * Perform the complete action.
     *
     * @param TblOffice $tbl_office
     *
     * @return TblOffice
     */
    public function complete(TblOffice $tbl_office)
    {
        try {
            $tbl_office->status = 'complete';
            return $tbl_office->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param TblOffice $tbl_office
     *
     * @return TblOffice
     */public function verify(TblOffice $tbl_office)
    {
        try {
            $tbl_office->status = 'verify';
            return $tbl_office->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param TblOffice $tbl_office
     *
     * @return TblOffice
     */public function approve(TblOffice $tbl_office)
    {
        try {
            $tbl_office->status = 'approve';
            return $tbl_office->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param TblOffice $tbl_office
     *
     * @return TblOffice
     */public function publish(TblOffice $tbl_office)
    {
        try {
            $tbl_office->status = 'publish';
            return $tbl_office->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param TblOffice $tbl_office
     *
     * @return TblOffice
     */
    public function archive(TblOffice $tbl_office)
    {
        try {
            $tbl_office->status = 'archive';
            return $tbl_office->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param TblOffice $tbl_office
     *
     * @return TblOffice
     */
    public function unpublish(TblOffice $tbl_office)
    {
        try {
            $tbl_office->status = 'unpublish';
            return $tbl_office->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
