<?php

namespace Karneaud\LavaliteKarneaudCargo\Workflow;

use Karneaud\LavaliteKarneaudCargo\Models\TblOffice;
use Karneaud\LavaliteKarneaudCargo\Notifications\TblOfficeWorkflow as TblOfficeNotifyer;
use Notification;

class TblOfficeNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param TblOffice $tbl_office
     *
     * @return void
     */
    public function complete(TblOffice $tbl_office)
    {
        return Notification::send($tbl_office->user, new TblOfficeNotifyer($tbl_office, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param TblOffice $tbl_office
     *
     * @return void
     */
    public function verify(TblOffice $tbl_office)
    {
        return Notification::send($tbl_office->user, new TblOfficeNotifyer($tbl_office, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param TblOffice $tbl_office
     *
     * @return void
     */
    public function approve(TblOffice $tbl_office)
    {
        return Notification::send($tbl_office->user, new TblOfficeNotifyer($tbl_office, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param TblOffice $tbl_office
     *
     * @return void
     */
    public function publish(TblOffice $tbl_office)
    {
        return Notification::send($tbl_office->user, new TblOfficeNotifyer($tbl_office, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param TblOffice $tbl_office
     *
     * @return void
     */
    public function archive(TblOffice $tbl_office)
    {
        return Notification::send($tbl_office->user, new TblOfficeNotifyer($tbl_office, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param TblOffice $tbl_office
     *
     * @return void
     */
    public function unpublish(TblOffice $tbl_office)
    {
        return Notification::send($tbl_office->user, new TblOfficeNotifyer($tbl_office, 'unpublish'));;

    }
}
